API Documentation
API Usage
Getting Started
Making a Request
- All request require your API Key to be passed on the URL as client_id=
in the params of the request: GET http://www.dealzonline.com/api?client_id= - All documented parameters, unless otherwise specified, are required. Optional parameters are marked in the documentations like this: my_optional_parameter (optional)
Getting the Response
- JSON is the default response format for all requests. XML is available by specifying .xml on the end of the URL path.
- JSON response without .json on the request URL path
GET http://www.dealzonline.com/api?client_id=&city= - JSON response with .json on the request URL path
GET http://www.dealzonline.com/api?client_id=&city= &format=json - XML response with .xml on the request URL path
GET http://www.dealzonline.com/api?client_id=&city= &format=xml - The Dealz Online API also respects the HTTP Accepts header
- Dealz Online responds with a standard error response format and a fixed set of HTTP codes.
API Resources
Terms of Use
Legally binding fine print.
Branding Requirements
Read before you start coding.
API Documentation
Help docs for API
